%define         debug_package %{nil}
%define		cvs	stable

Name:           w3af
Version:        1.6.54
Release:        6.3.art
Summary:        Web Application Attack and Audit Framework
Group:          Applications/Internet
License:        GPLv2 and ( LGPLv3 and LGPLv2 and GPLv2+ and GPLv3 and CC-BY-SA )
URL:            http://w3af.sourceforge.net
Source0:        https://github.com/andresriancho/w3af/archive/%{version}.tar.gz
Source1:        %{name}.png
Patch0:         w3af-fedora.patch
Patch1:         w3af-1.6.54-requirements.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

AutoReq:	no
BuildRequires:  python, dos2unix, desktop-file-utils

Requires: python-pip >= 6.0.8
Requires: git libxml2-devel python-devel libxslt-devel
Requires: python-clamd
Requires: python-esmre

Requires: python-chardet >= 2.1.1
Requires: python-pdfminer
Requires: python-futures >= 2.1.5

#Requires: python-scapy-real
Requires: python-guess-language
Requires: python-cluster
Requires: python-msgpack >= 0.2.4
Requires: python-ntlm

Requires:       python SOAPpy python-fpconst graphviz-python pyPdf pygtk2 python-BeautifulSoup python-SocksiPy wordnet
Requires:	pysvn python-pybloomfiltermmap

Requires:	libcanberra-gtk2 pygtksourceview
Requires:	python-nltk pyOpenSSL libxml2-python python-lxml
Requires:	scapy tcpdump

# latest
#Requires: python-ordereddict >= 0.4.8
# fc21: is obsoleted by python-2.7.8-9.fc21.x86_64
Requires: python-psutil >= 2.2.1
Requires: python-markdown >= 2.6.1
Requires: python-tblib >= 1.0.1
Requires: python-mitmproxy
Requires: python-netlib >= 0.12.1

%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7

Requires:	PackageKit-gtk3-module
Requires: libsqlite3x-devel
Requires: python-PyGithub >= 1.21.0
Requires: halberd
Requires: python-xdot
Requires: GitPython
Requires: python-phply
%else
Requires:	PackageKit-gtk-module
Requires: sqlite-devel

# TODO
#Requires: python-PyGithub >= 1.21.0
#Requires: halberd
#Requires: python-xdot
#Requires: GitPython
#Requires: python-phply

%endif

# 1.6
Requires: python-chardet

#Requires:      python-ntlk #doesn't work

%description
The W3AF, is a Web Application Attack and Audit Framework.
The W3AF core and it's plug-ins are fully written in python.
The project has more than 130 plug-ins, which check for SQL injection,
cross site scripting (XSS), local and remote file inclusion and much more.

%package doc
Summary:        Web Application Attack and Audit Framework - documentation
Group:          Applications/Internet

%description doc
Documentation for the W3AF package.

%prep
%setup -q 
%patch0 -p 1 -b .0fedora
%patch1 -p 1

#Fix permissions
find . -name "*.py" |xargs chmod -x
find . -name "*.pl" |xargs chmod -x

#Fix dos eol
dos2unix doc/GPL
dos2unix ./w3af/plugins/infrastructure/oHmap/known.servers/mbedthis-appweb-2.4.0.juniper-srx100

#Gzip manpage 
#gzip plugins/discovery/oHalberd/man/man1/halberd.1


#Shebang
#find core extlib plugins -name '*.py' |xargs sed -i -e 's%^#!%#%'
#sed -i -e 's%^#!%#%' plugins/discovery/oHalberd/scripts/halberd

#Empty files
#rm core/data/timeAnalysis.py
#echo "<!-- dummy -->" >> core/ui/userInterface.dtd

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}/%{name}
install -d %{buildroot}%{_datadir}/%{name}
install -m 755 w3af_console w3af_gui %{buildroot}%{_datadir}/%{name}/
cp -r doc profiles scripts tools w3af %{buildroot}%{_datadir}/%{name}/
ln -s %{_datadir}/%{name}/w3af_gui %{buildroot}%{_bindir}/w3af_gui
ln -s %{_datadir}/%{name}/w3af_console %{buildroot}%{_bindir}/w3af_console

#Locales
install -d %{buildroot}%{_datadir}/locale/es/LC_MESSAGES
install w3af/locales/es/LC_MESSAGES/w3af.mo %{buildroot}%{_datadir}/locale/es/LC_MESSAGES/w3af.mo

install -d %{buildroot}%{_datadir}/locale/ru/LC_MESSAGES
install w3af/locales/ru/LC_MESSAGES/w3af.mo %{buildroot}%{_datadir}/locale/ru/LC_MESSAGES/w3af.mo




#Desktop (tmp disable ART)
desktop-file-install \
        --dir %{buildroot}%{_datadir}/applications \
        --vendor fedora \
        fedora/%{name}.desktop

install -d %{buildroot}%{_datadir}/pixmaps
install %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc doc/CONTRIBUTORS doc/GPL  doc/INSTALL  doc/README  doc/TODO 
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_bindir}/w3af_gui
%{_bindir}/w3af_console
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/w3af.mo
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/w3af.mo

%files doc
%defattr(-,root,root,-)
#%doc readme/EN readme/FR


%changelog
* Wed Dec 17 2014 Scott R. Shinn <scott@atomicorp.com> - 1.6.0.5-4
- Update 1.6.0.5

* Fri May 2 2014 Scott R. Shinn <scott@atomicorp.com> - 1.6-3
- Update to 1.6

* Fri Jun 8 2012 Scott R. Shinn <scott@atomicorp.com> - 1.1-2.1
- Minor change for Fedora 17  Packagekit

* Fri Jun 8 2012 Scott R. Shinn <scott@atomicorp.com> - 1.1-2
- Bugfix #XXX, dos2unix the mbedthis plugin

* Fri Dec 9 2011 Scott R. Shinn <scott@atomicorp.com> - 1.1-1
- Update to 1.1 

* Wed Jun 1 2011 Scott R. Shinn <scott@atomicorp.com> - 1.0-5
- Update to 1.0 official release

* Thu Feb 24 2011 Scott R. Shinn <scott@atomicorp.com> - 1.0-4
- Update to rc6

* Wed Jan 19 2011 Scott R. Shinn <scott@atomicorp.com> - 1.0-3
- Update to rc5

* Sun Jan 2 2011 Scott R. Shinn <scott@atomicorp.com> - 1.0-2
- Add fixes for python 2.7
- First package of 2011

* Fri Dec 10 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0-0.1.rc4
- Update to rc4 

* Tue Jan 05 2010 Michal Ambroz <rebus at, seznam.com> 1.0-0.1.rc3
- Initial SPEC for Fedora 12

